import { ExpoConfig } from '@expo/config-types';
import { InfoPlist } from './IosConfig.types';
declare type Plist = Record<string, any>;
export declare const withAccessesContactNotes: import("..").ConfigPlugin<void>;
export declare const withAssociatedDomains: import("..").ConfigPlugin<void>;
export declare function getConfigEntitlements(config: ExpoConfig): {
    [k: string]: any;
};
export declare function setCustomEntitlementsEntries(config: ExpoConfig, entitlements: InfoPlist): {
    UIStatusBarHidden?: boolean | undefined;
    UIStatusBarStyle?: string | undefined;
    UILaunchStoryboardName?: string | undefined;
    CFBundleShortVersionString?: string | undefined;
    CFBundleVersion?: string | undefined;
    CFBundleDisplayName?: string | undefined;
    CFBundleIdentifier?: string | undefined;
    CFBundleName?: string | undefined;
    CFBundleURLTypes?: import("./IosConfig.types").URLScheme[] | undefined;
    CFBundleDevelopmentRegion?: string | undefined;
    ITSAppUsesNonExemptEncryption?: boolean | undefined;
    LSApplicationQueriesSchemes?: string[] | undefined;
    FacebookAppID?: string | undefined;
    FacebookDisplayName?: string | undefined;
    FacebookAutoInitEnabled?: boolean | undefined;
    FacebookAutoLogAppEventsEnabled?: boolean | undefined;
    FacebookAdvertiserIDCollectionEnabled?: boolean | undefined;
    UIBackgroundModes?: string[] | undefined;
    UISupportedInterfaceOrientations?: import("./IosConfig.types").InterfaceOrientation[] | undefined;
    GMSApiKey?: string | undefined;
    GADApplicationIdentifier?: string | undefined;
    UIUserInterfaceStyle?: "Light" | "Dark" | "Automatic" | undefined;
    UIRequiresFullScreen?: boolean | undefined;
    SKAdNetworkItems?: {
        SKAdNetworkIdentifier: string;
    }[] | undefined;
    branch_key?: {
        live?: string | undefined;
    } | undefined;
};
export declare function setAccessesContactNotes(config: ExpoConfig, { 'com.apple.developer.contacts.notes': _, ...entitlementsPlist }: Plist): Plist;
export declare function setAssociatedDomains(config: ExpoConfig, { 'com.apple.developer.associated-domains': _, ...entitlementsPlist }: Plist): Plist;
export declare function getEntitlementsPath(projectRoot: string): string;
export {};
