"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const json_file_1 = __importDefault(require("@expo/json-file"));
const getenv_1 = require("getenv");
const os_1 = require("os");
const path = __importStar(require("path"));
// The ~/.expo directory is used to store authentication sessions,
// which are shared between EAS CLI and Expo CLI.
function getExpoHomeDirectory() {
    const home = os_1.homedir();
    if (process.env.__UNSAFE_EXPO_HOME_DIRECTORY) {
        return process.env.__UNSAFE_EXPO_HOME_DIRECTORY;
    }
    else if (getenv_1.boolish('EXPO_STAGING', false)) {
        return path.join(home, '.expo-staging');
    }
    else if (getenv_1.boolish('EXPO_LOCAL', false)) {
        return path.join(home, '.expo-local');
    }
    return path.join(home, '.expo');
}
exports.getExpoHomeDirectory = getExpoHomeDirectory;
function getUserStatePath() {
    return path.join(getExpoHomeDirectory(), 'state.json');
}
exports.getUserStatePath = getUserStatePath;
function getUserState() {
    return new json_file_1.default(getUserStatePath(), {
        jsonParseErrorDefault: {},
        // This will ensure that an error isn't thrown if the file doesn't exist.
        cantReadFileDefault: {},
    });
}
exports.getUserState = getUserState;
//# sourceMappingURL=getUserState.js.map